#pragma once

#include "LiftoffWin32DesktopTestApp.h"
#include "control_ids.h"
#include "LiftoffInterstitialAds.h"
#include "PlacementLoadState.h"

extern PlacementLoadState placementLoadState;

extern void InitializeLiftoffAds(HWND hWnd);

extern void OnAdLoadSuccess(AdLoadEventArgs args);

extern void OnAdLoadFailure(AdLoadEventArgs args);
extern void OnAdStart(AdPlayEventArgs args);
extern void OnAdEnd(AdPlayEventArgs args);
extern void OnAdPlayFailure(AdPlayEventArgs args);
extern void OnAdPlayRewarded(AdPlayEventArgs args);
extern void OnAdPlayClick(AdPlayEventArgs args);

extern void OnLiftoffInitializationSuccess(const InitializationSuccessEventArgs& args);
extern void OnLiftoffInitializationFailure(const InitializationFailureEventArgs& args);

extern void HandleLoadAdButton(HWND hWnd);
extern void HandlePlayAdButton(HWND hWnd);
extern void HandlePlayAdInNewWindowButton(HWND hWnd);


